# contact

The contact record for a person on an account

**Scope required:** standard:read

For a complete list of possible response fields see the [Contact](/developer/api-reference/types/contact.md) type.

```graphql
query contact ($id: ID, $code: String) {
  contact (id: $id, code: $code) {
    accountId
    code
    createdAt
    customFieldsData
    description
    email
    entityId
    firstName
    fullName
    hasCustomFields
    id
    lastName
    linkedinUrl
    mailingCity
    mailingCountry
    mailingState
    mailingStreet
    mailingZip
    mobile
    phone
    portalAccess
    salutation
    title
    updatedAt
  }
}
```

## Arguments

| Name | Type   | Description         |
| ---- | ------ | ------------------- |
| id   | ID     | ID or Code required |
| code | String | ID or Code required |

## Response

* [Contact](/developer/api-reference/types/contact.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/contact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
